Bug 1036331 - [cosmetic] Double slash in Nagios' web interface URL
Summary: [cosmetic] Double slash in Nagios' web interface URL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios
Version: el6
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Scott Wilkerson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-01 04:08 UTC by alext
Modified: 2017-07-23 02:21 UTC (History)
8 users (show)

Fixed In Version: nagios-4.0.8-1.el7 nagios-4.3.2-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-23 02:21:36 UTC


Attachments (Terms of Use)

Description alext 2013-12-01 04:08:27 UTC
Description of problem:

The trailing slash in config.inc.php at:

$cfg['cgi_base_url']='/nagios/cgi-bin/';

Turns into double slashes here:

http://monitor.domain.net/nagios/cgi-bin//status.cgi?host=all [^] 

According to this Nagios ticket: http://tracker.nagios.org/view.php?id=415, this is due to "running configure --with-cgiurl=/nagios/cgi-bin/, explicitly adding the trailing slash."

Version-Release number of selected component (if applicable):
Nagios® Core™ Version 3.5.1

How reproducible:
Install Nagios behind a web server and hit the main page. Check the URLs for any of the links on the left menu under Current Status, Reports or System, for example Current Status - Problems - Services: http://localhost/nagios/cgi-bin//status.cgi?host=all&servicestatustypes=28 or System - Process Info: http://localhost/nagios/cgi-bin//extinfo.cgi?type=0 <-- notice the double slash after cgi-bin//

Steps to Reproduce:
1. See above
2.
3.

Actual results:
For the given examples:
http://localhost/nagios/cgi-bin//status.cgi?host=all&servicestatustypes=28
http://localhost/nagios/cgi-bin//extinfo.cgi?type=0

Expected results:
http://localhost/nagios/cgi-bin/status.cgi?host=all&servicestatustypes=28
http://localhost/nagios/cgi-bin/extinfo.cgi?type=0

Additional info:

Comment 1 Fedora Update System 2015-09-20 14:39:00 UTC
nagios-4.0.8-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16238

Comment 2 Fedora Update System 2015-09-20 14:40:03 UTC
nagios-4.0.8-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16239

Comment 3 Fedora Update System 2015-09-20 14:40:04 UTC
nagios-4.0.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16240

Comment 4 Fedora Update System 2015-09-20 14:40:52 UTC
nagios-4.0.8-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8156

Comment 5 Fedora Update System 2015-09-20 16:49:18 UTC
nagios-4.0.8-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16239

Comment 6 Fedora Update System 2015-09-20 16:51:10 UTC
nagios-4.0.8-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16238

Comment 7 Fedora Update System 2015-09-20 17:19:44 UTC
nagios-4.0.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16240

Comment 8 Fedora Update System 2015-09-21 02:47:03 UTC
nagios-4.0.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8156

Comment 9 Fedora Update System 2015-09-21 02:50:34 UTC
nagios-4.0.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8155

Comment 10 Fedora Update System 2015-12-05 20:30:34 UTC
nagios-4.0.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-02-09 17:28:21 UTC
nagios-4.2.4-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-270f6f4375

Comment 12 Fedora Update System 2017-02-10 22:40:39 UTC
nagios-4.2.4-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acd2c2af0d

Comment 13 Fedora Update System 2017-02-11 16:18:07 UTC
nagios-4.2.4-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acd2c2af0d

Comment 14 Fedora Update System 2017-05-11 19:16:20 UTC
nagios-4.3.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1f2571d162

Comment 15 Fedora Update System 2017-05-12 19:51:33 UTC
nagios-4.3.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1f2571d162

Comment 16 Fedora Update System 2017-06-14 19:00:01 UTC
nagios-4.3.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 17 Fedora Update System 2017-06-15 09:47:02 UTC
nagios-4.3.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 18 Fedora Update System 2017-06-28 19:28:06 UTC
nagios-4.3.2-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 19 Fedora Update System 2017-06-30 01:16:51 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 20 Fedora Update System 2017-07-23 02:21:36 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.